<?php
function jsonla($durum, $itemid, $git, $mesaj="")
{
  $cevap = array(
					"durum" => $durum,   //success error mesajı
					"id"    => $itemid,  //silinen şeyin id si
          "git"   => $git,    //silinmeden sonra gidecek sayfa
					"mesaj" => $mesaj  //göndermek istenilen mesaj
					);
	$json = json_encode($cevap);
    echo $json;
}

require_once '../../ayar/Config.php';
require_once '../System/Class/Admin.Class.php';
    $Admin = new Admin();
require_once '../System/Class/Sayfa.Class.php';
    $Sayfa = new SK();
require_once '../System/Class/urunler.Class.php';
    $urun = new urun();
require_once '../System/Class/Blog.Class.php';
    $blog = new blog();
require_once '../System/Class/iletisim.Class.php';
    $iletisim = new iletisim();
require_once '../System/Class/Modul.Class.php';
    $Modul = new Modul();

if(@$_SESSION['admin']) {
  define("Hacking","Hacking");
  if($_POST)
  {
      $gelen = $_POST["gelenid"];
      $item = $_POST["hangialan"];
      $kat_id = $_POST["kat_id"];
      switch ($item) {
        case 'urun':
            $sil = $urun->urun_sil($gelen, $kat_id);
            if ($sil)
            {
              jsonla("success", $gelen, "urun");
            }
            else {
              jsonla("error", $gelen, "urun");
            }
          break;

          case 'iletisim':
            $sil = $db->delete('iletisim')
              ->where('iletisim_id',$gelen)
              ->done();
              if ($sil)
              {
                jsonla("success", $gelen, "iletisim");
              }
              else {
                jsonla("error", $gelen, "iletisim");
              }
            break;

            case 'siparisler':
              $sil = $siparisler_sil = $db->delete('siparisler')
                  ->where('siparisler_id',$gelen)
                  ->done();
                if ($sil)
                {
                  jsonla("success", $gelen, "siparisler");
                }
                else {
                  jsonla("error", $gelen, "siparisler");
                }
              break;

              case 'kategori':
                $sil = $Sayfa->kategori_sil($gelen);
                  if ($sil)
                  {
                    jsonla("success", $gelen, "kategori");
                  }
                  else {
                    jsonla("error", $gelen, "kategori");
                  }
                break;

                case 'sayfa':
                 $sil = $Sayfa->sayfa_sil($gelen);
                    if ($sil)
                    {
                      jsonla("success", $gelen, "sayfa");
                    }
                    else {
                      jsonla("error", $gelen, "sayfa");
                    }
                  break;

                  case 'galeri':
                     $sil = $db->delete('galeri')
                        ->where('id',$gelen)
                        ->done();
                      if ($sil)
                      {
                        jsonla("success", $gelen, "galeri");
                      }
                      else {
                        jsonla("error", $gelen, "galeri");
                      }
                    break;

                    case 'video':
                       $sil = $db->delete('video')
                          ->where('id',$gelen)
                          ->done();
                        if ($sil)
                        {
                          jsonla("success", $gelen, "video");
                        }
                        else {
                          jsonla("error", $gelen, "video");
                        }
                      break;

                      case 'slider':
                         $sil = $db->delete('slider')
                            ->where('id',$gelen)
                            ->done();
                          if ($sil)
                          {
                            jsonla("success", $gelen, "slider");
                          }
                          else {
                            jsonla("error", $gelen, "slider");
                          }
                        break;

                        case 'personel':
                           $sil = $db->delete('personel')
                              ->where('id',$gelen)
                              ->done();
                            if ($sil)
                            {
                              jsonla("success", $gelen, "personel");
                            }
                            else {
                              jsonla("error", $gelen, "personel");
                            }
                          break;

                          case 'hizmetler2':
                             $sil = $Sayfa->hizmetler_sil2($gelen);
                              if ($sil)
                              {
                                jsonla("success", $gelen, "hizmetler2");
                              }
                              else {
                                jsonla("error", $gelen, "hizmetler2");
                              }
                            break;

                            case 'blog':
                              $sil = $blog->blog_sil($gelen);
                                if ($sil)
                                {
                                  jsonla("success", $gelen, "blog");
                                }
                                else {
                                  jsonla("error", $gelen, "blog");
                                }
                              break;

                              case 'sss':
                                 $sil = $Sayfa->sss_sil($gelen);
                                  if ($sil)
                                  {
                                    jsonla("success", $gelen, "sss");
                                  }
                                  else {
                                    jsonla("error", $gelen, "sss");
                                  }
                                break;

                                case 'markalar':
                                   $sil = $db->delete('markalar')
                                      ->where('id',$gelen)
                                      ->done();
                                    if ($sil)
                                    {
                                      jsonla("success", $gelen, "markalar");
                                    }
                                    else {
                                      jsonla("error", $gelen, "markalar");
                                    }
                                  break;

                                  case 'referans':
                                     $sil = $db->delete('referans')
                                        ->where('id',$gelen)
                                        ->done();
                                      if ($sil)
                                      {
                                        jsonla("success", $gelen, "referans");
                                      }
                                      else {
                                        jsonla("error", $gelen, "referans");
                                      }
                                    break;

                                    case 'admin':
                                      if(session("yetki")=="1")
                                      {
                                       $sil = $db->delete('admin')
                                          ->where('admin_id',$gelen)
                                          ->done();
                                        if ($sil)
                                        {
                                          jsonla("success", $gelen, "profil");
                                        }
                                        else {
                                          jsonla("error", $gelen, "profil");
                                        }
                                      }
                                      break;

                                      case 'tekilreset':
                                      date_default_timezone_set('Europe/Moscow');
                                      $tarih = date("Y-m-d", time());
                                         $sil = $db->delete('tekil_sayac')
                                            ->where('tarih',$tarih)
                                            ->done();
                                          if ($sil)
                                          {
                                            jsonla("success", $gelen, "");

                                          }
                                          else {
                                          //  jsonla("error", $gelen, "");
                                          }
                                        break;



        default:
          # code...
          break;
      }





  }
}







/*

      ob_start();
      $Admin->site_ayarlari('tema_renk2');
      $check = ob_get_clean();

      jsonla("success", $check, "geldimi?");
      */
?>
